apply plugin: 'com.android.application'

android {
    compileSdkVersion COMPILE_SDK_VERSION as int
    buildToolsVersion BUILD_TOOLS_VERSION as String

    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_7
        targetCompatibility JavaVersion.VERSION_1_7
    }

    defaultConfig {
        applicationId "ai.pai.client"
        minSdkVersion MIN_SDK_VERSION as int
        targetSdkVersion TARGET_SDK_VERSION as int
        versionCode 1026
        versionName "1.0.26"
        buildConfigField "boolean","isDevMode","true"
        manifestPlaceholders = [CHANNEL_NAME: "guanwang"]

    }

    dexOptions {
        incremental true
        preDexLibraries false
        jumboMode true
        javaMaxHeapSize "4g"
    }

    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }

    signingConfigs {
        releaseConfig {
            storeFile file("paiai.keystore")
            storePassword "chengzhenyu"
            keyAlias "paiai"
            keyPassword "chengzhenyu"
        }
    }

    buildTypes {
        release {
            minifyEnabled true
            zipAlignEnabled true
            shrinkResources true
            debuggable false
            jniDebuggable false
            buildConfigField "boolean","isDevMode","false"
            proguardFile  'proguard-project.txt'
            signingConfig  signingConfigs.releaseConfig
        }
        debug {
            zipAlignEnabled false
            minifyEnabled false
            shrinkResources false
            signingConfig  signingConfigs.releaseConfig
        }
    }

    productFlavors.all {
        flavor->flavor.manifestPlaceholders=[CHANNEL_NAME:name]
    }

    productFlavors {
        guanwang {

        }
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile project(path: ':common')
    compile 'com.nostra13.universalimageloader:universal-image-loader:latest.integration'
    compile project(path: ':views')
    compile 'com.umeng.analytics:analytics:latest.integration'
    compile 'hanks.xyz:htextview-library:0.1.5'
}
buildscript {
    repositories {
        jcenter()
        maven {
            url uri('..\\repo')
        }
    }
    dependencies {
        //group:module:version
        classpath 'com.android.plugin.hotpatch:hotpatch:1.0.0'
    }
}
apply plugin: 'plugin.hotpatch'

hotpatch{
    includePackageDir='ai\\pai\\client'
}